disp(['Displaying the selected templates']);
bx =0; by = 0; cc = 3;
col = 8; row = floor(numTemplate/col - .001) + 1;
Iout = zeros(row*sizex+(row-1)*(2*bx+cc), col*sizey+(col-1)*(2*by+cc))+255; 
i = 0;  
for (r = 1 : row)
    for (c = 1 : col)
        i = i+1;  
        if (i<=numTemplate)
            towrite = -allTemplate{selectedTemplate(i)}; 
            towrite = (255 * (towrite-min(towrite(:)))/(max(towrite(:))-min(towrite(:))));
            Iout((r-1)*sizex+1+(r-1)*(2*bx+cc): r*sizex+(r-1)*(2*bx+cc), (c-1)*sizey+1+(c-1)*(2*by+cc): (c-1)*sizey+sizey+(c-1)*(2*by+cc)) = towrite; 
        end
    end
end
for (r = 1 : row-1)
  Iout(r*sizex+(r-1)*(2*bx+cc)+bx+1:r*sizex+(r-1)*(2*bx+cc)+bx+cc, :) = 0; 
end
for (c = 1 : col-1)
  Iout(:, c*(sizey)+(c-1)*(2*by+cc)+by+1:c*(sizey)+(c-1)*(2*by+cc)+by+cc) = 0; 
end
Outepsgif(Iout, ['ex9_1_templates']); 


